LLVM: lldb::SBVariablesOptions Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
lldb::SBVariablesOptions Class Reference

`#include <SBVariablesOptions.h>`

## Public Member Functions
| SBVariablesOptions ()
| SBVariablesOptions (const SBVariablesOptions &options)
SBVariablesOptions & | operator= (const SBVariablesOptions &options)
| ~SBVariablesOptions ()
bool | IsValid () const
bool | GetIncludeArguments () const
void | SetIncludeArguments (bool)
bool | GetIncludeLocals () const
void | SetIncludeLocals (bool)
bool | GetIncludeStatics () const
void | SetIncludeStatics (bool)
bool | GetInScopeOnly () const
void | SetInScopeOnly (bool)
bool | GetIncludeRuntimeSupportValues () const
void | SetIncludeRuntimeSupportValues (bool)
lldb::DynamicValueType | GetUseDynamic () const
void | SetUseDynamic (lldb::DynamicValueType)

## Protected Member Functions
VariablesOptionsImpl * | operator-> ()
const VariablesOptionsImpl * | operator-> () const
VariablesOptionsImpl * | get ()
VariablesOptionsImpl & | ref ()
const VariablesOptionsImpl & | ref () const
| SBVariablesOptions (VariablesOptionsImpl *lldb_object_ptr)
void | SetOptions (VariablesOptionsImpl *lldb_object_ptr)

## Detailed Description

Definition at line 20 of file SBVariablesOptions.h.

## Constructor & Destructor Documentation

lldb::SBVariablesOptions::SBVariablesOptions | ( |  | ) |

lldb::SBVariablesOptions::SBVariablesOptions | ( | const SBVariablesOptions & | options | ) |

lldb::SBVariablesOptions::~SBVariablesOptions | ( |  | ) |

lldb::SBVariablesOptions::SBVariablesOptions | ( | VariablesOptionsImpl * | lldb_object_ptr | ) |
| protected

## Member Function Documentation

VariablesOptionsImpl* lldb::SBVariablesOptions::get | ( |  | ) |
| protected

bool lldb::SBVariablesOptions::GetIncludeArguments | ( |  | ) | const

bool lldb::SBVariablesOptions::GetIncludeLocals | ( |  | ) | const

bool lldb::SBVariablesOptions::GetIncludeRuntimeSupportValues | ( |  | ) | const

bool lldb::SBVariablesOptions::GetIncludeStatics | ( |  | ) | const

bool lldb::SBVariablesOptions::GetInScopeOnly | ( |  | ) | const

lldb::DynamicValueType lldb::SBVariablesOptions::GetUseDynamic | ( |  | ) | const

bool lldb::SBVariablesOptions::IsValid | ( |  | ) | const

VariablesOptionsImpl* lldb::SBVariablesOptions::operator-> | ( |  | ) |
| protected

const VariablesOptionsImpl* lldb::SBVariablesOptions::operator-> | ( |  | ) | const
| protected

SBVariablesOptions& lldb::SBVariablesOptions::operator= | ( | const SBVariablesOptions & | options | ) |

VariablesOptionsImpl& lldb::SBVariablesOptions::ref | ( |  | ) |
| protected

const VariablesOptionsImpl& lldb::SBVariablesOptions::ref | ( |  | ) | const
| protected

void lldb::SBVariablesOptions::SetIncludeArguments | ( | bool |  | ) |

void lldb::SBVariablesOptions::SetIncludeLocals | ( | bool |  | ) |

void lldb::SBVariablesOptions::SetIncludeRuntimeSupportValues | ( | bool |  | ) |

void lldb::SBVariablesOptions::SetIncludeStatics | ( | bool |  | ) |

void lldb::SBVariablesOptions::SetInScopeOnly | ( | bool |  | ) |

void lldb::SBVariablesOptions::SetOptions | ( | VariablesOptionsImpl * | lldb_object_ptr | ) |
| protected

void lldb::SBVariablesOptions::SetUseDynamic | ( | lldb::DynamicValueType |  | ) |

The documentation for this class was generated from the following file:

- SBVariablesOptions.h